tigase.jaxmpp.core.client.xmpp.modules.xep0136

## Class MessageArchivingModule.CollectionAsyncCallback

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.xep0136.MessageArchivingModule.CollectionAsyncCallback

- All Implemented Interfaces:
    AsyncCallback
  Enclosing class:
    MessageArchivingModule

      public abstract static class MessageArchivingModule.CollectionAsyncCallback
      extends Object
      implements AsyncCallback

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectionAsyncCallback()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `onCollectionReceived(ResultSet<Chat> vcard)`
    `void` | `onSuccess(Stanza stanza)` Called when received response has type result.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.AsyncCallback

      `onError, onTimeout`

- - ### Constructor Detail

    - #### CollectionAsyncCallback

          public CollectionAsyncCallback()

  - ### Method Detail

    - #### onCollectionReceived

          protected abstract void onCollectionReceived(ResultSet<Chat> vcard)
                                                throws XMLException

      Throws:
        `XMLException`

    - #### onSuccess

          public void onSuccess(Stanza stanza)
                         throws XMLException

      Description copied from interface: `AsyncCallback`
      Called when received response has type result.
      Specified by:
        `onSuccess` in interface `AsyncCallback`
      Parameters:
        `stanza` - received stanza
      Throws:
        `XMLException`

Copyright © 2006–2020 Tigase. All rights reserved.